Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.gemini.blueprint.OsgiException
                      org.eclipse.gemini.blueprint.service.ServiceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ServiceProxyDestroyedException, ServiceUnavailableException

    public class ServiceException

extends OsgiException

OSGi service specific exception.

Author:
  Costin Leau
See Also:
  Serialized Form

Constructor Summary
`ServiceException()` Constructs a new `ServiceException` instance.
`ServiceException(String message)` Constructs a new `ServiceException` instance.
`ServiceException(String message, Throwable cause)` Constructs a new `ServiceException` instance.
`ServiceException(Throwable cause)` Constructs a new `ServiceException` instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceException

    public ServiceException()

  Constructs a new `ServiceException` instance.

### ServiceException

    public ServiceException(String message,
                            Throwable cause)

  Constructs a new `ServiceException` instance.

  Parameters:
    `message` - exception detailed message
    `cause` - exception cause

### ServiceException

    public ServiceException(String message)

  Constructs a new `ServiceException` instance.

  Parameters:
    `message` - exception detailed message

### ServiceException

    public ServiceException(Throwable cause)

  Constructs a new `ServiceException` instance.

  Parameters:
    `cause` - exception cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.